package com.sms.test.client;

import static com.vaadin.client.ApplicationConnection.DISABLED_CLASSNAME;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.vaadin.client.ComponentConnector;
import com.vaadin.client.ServerConnector;
import com.vaadin.client.extensions.AbstractExtensionConnector;
import com.vaadin.client.ui.VButton;
import com.vaadin.shared.ui.Connect;
import com.sms.test.DisableOnClickButtonExtension;

@Connect (DisableOnClickButtonExtension.class)
@SuppressWarnings("serial")

public class DisableOnClickButtonConnector extends AbstractExtensionConnector {

	@Override
	protected void extend(ServerConnector target) {
		
		final VButton button = (VButton) ((ComponentConnector) target).getWidget();
		
		button.addClickHandler(new ClickHandler() {

			@Override
			public void onClick(ClickEvent event) {
				button.setEnabled(false);
				button.addStyleName(DISABLED_CLASSNAME);
				button.setText("Please wait...");
			}
			
		});
	}
}
